/* === This file is part of Calamares - <http://github.com/calamares> ===
 *
 *   Copyright 2015, Teo Mrnjavac <teo@kde.org>
 *   Copyright 2018, Jonathan Carter <jcc@debian.org>
 *
 *   Calamares is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, or (at your option) any later version.
 *
 *   Calamares is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Calamares. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0;
import calamares.slideshow 1.0;
import QtQuick.Controls 2.1;

Item {

    Rectangle{
        id:rect;
        width: parent.width;
        height: parent.height;
        anchors.top: parent.top;
        anchors.topMargin: 10;
        anchors.bottom: parent.bottom;
        anchors.bottomMargin: 10;
        anchors.horizontalCenter: parent.horizontalCenter;
        clip: true;//截断多出来的部分

    CircleView {
        id: cirCleView
        anchors.fill: parent;
        model: ListModel {
            ListElement { picUrl: 'list1.png' }
            ListElement { picUrl: 'list2.png' }
            ListElement { picUrl: 'list3.png' }

        }

        delegate: Item {
            width: cirCleView.width
            height: cirCleView.height
            Image {
                anchors.fill: parent
                source: picUrl
            }
            MouseArea {
                anchors.fill: parent
                //onClicked: Qt.openUrlExternally(picUrl)
            }
        }


        onDraggingChanged: {
            if (dragging)
                timer.stop()
            else
                timer.start()
        }
    }
    }
    PageIndicator {
        anchors.bottom: parent.bottom
        anchors.horizontalCenter: parent.horizontalCenter
        count: cirCleView.count
        currentIndex: cirCleView.currentIndex
    }

    Timer {
        id: timer
        running: true
        repeat: true
        interval: 10000
        onTriggered: cirCleView.currentIndex = (cirCleView.currentIndex + 1) % cirCleView.count
    }
}
